<?php
	// 
	defined('_JEXEC') or die;
	
	
	// 
	// 
	$lang = JFactory::getLanguage();
	// 
	// 
	$lang->load('plg_jshoppingadmin_adminpmrucode', JPATH_ADMINISTRATOR, null, false, true);
	// 
	// 
	JForm::addFormPath(__DIR__ .'/forms');
	// 
	// 
	$form = JForm::getInstance(
								'configform',
								'configform',
								array('control' => 'params', 'load_data' => true),
								false,
								false
							);
	// 
	$form->bind($this->params);
?>
<div class="form-horizontal">
	<?php echo JHtml::_('bootstrap.startTabSet', 'myTab', array('active' => 'basic')); ?>
	<?php
		// 
		$app = JFactory::getApplication();
		// 
		$fieldSets = $form->getFieldsets();
		// 
		$tabName = 'myTab';
		// Loop again over the fieldsets
		foreach ($fieldSets as $name => $fieldSet)
		{
			// Ensure any fieldsets we don't want to show are skipped (including repeating formfield fieldsets)
			if (isset($fieldSet->repeat) && $fieldSet->repeat === true)
			{
				// 
				continue;
			}
			// Determine the label
			if (!empty($fieldSet->label))
			{
				// 
				$label = JText::_($fieldSet->label);
			}
			else
			{
				// 
				$label = strtoupper('PLG_JSHOPPINGADMIN_ADMINPMRUCODE_FIELDSET_'.$name.'_LABEL');
				// 
				$label = JText::_($label);
			}
			// Start the tab
			echo JHtml::_('bootstrap.addTab', $tabName, $name, $label);
			// Include the description when available
			if (isset($fieldSet->description) && trim($fieldSet->description))
			{
				// 
				echo '<p class="alert alert-info">'.$this->escape(JText::_($fieldSet->description)).'</p>';
			}
			//
			$fieldSet = $form->getFieldset($name);
			// 
			if (empty($fieldSet))
			{
				// 
				return;
			}
			// 
			$html = array();
			// 
			foreach ($fieldSet as $field)
			{
				$html[] = $field->renderField();
			}
			// 
			echo implode('', $html);
			// 
			echo JHtml::_('bootstrap.endTab');
		}
	?>
	<?php echo JHtml::_('bootstrap.endTabSet'); ?>
</div>